Subject: Re: [Wish] WG recharter

From: Tim Panton <[email-masked]>
Date: Mon, 17 Apr 2023 20:18:51 +0100

I think there might well be need for a group to specify how to carry various things over DataChannels,
(We’ve tunnelled webpages and websockets, lighting control signals,  identity proofs, subtitles, certificates, files, firmware updates etc)
 but I don’t think WISH is the place to have that discussion.

@bernard Perhaps we should sketch something out for dispatch...

T.

> On 17 Apr 2023, at 19:06, Bernard Aboba <[email-masked]> wrote:
> 
> Juliusz said: 
> 
> "I think that's an important point.  In WHIP, Sergio has been careful to
> stick to signalling, and defer all other protocol features to existing
> standards.  That's what makes WHIP so eminently implementable."
> 
> [BA]  Except that there *are* "eminently implementable" standards, such as CMAF for containerization and MSE API (for rendering).  To prove the point, CMAF is supported in early MoQ drafts and browser clients demos supporting MSE have implemented "rewind".  If WebTransport were swapped out for RTCDataChannel, those same demos would run in Chromium. 
> 
> So the protocols have already been defined and implemented, and running code already exists.  In that sense, the remaining functionality is largely in the realm of "signaling" (e.g. how to request CMAF over RTCDataChannel, or how to request "rewind"). 
> 
> 
> 
> On Mon, Apr 17, 2023 at 10:33 AM Juliusz Chroboczek <[email-masked] <mailto:[email-masked]>> wrote:
>> > Regarding the specific DRM and rewind functionalities, there is not a standard
>> > way of implementing them that we can reuse here.
>> 
>> I think that's an important point.  In WHIP, Sergio has been careful to
>> stick to signalling, and defer all other protocol features to existing
>> standards.  That's what makes WHIP so eminently implementable.
>> 
>> -- Juliusz
> -- 
> Wish mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/wish